using System;
using System.Collections.Generic;
using System.Windows;

namespace RadTimeBar.GettingStartedWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private List<TestData> _linearData;

        public List<TestData> LinearData
        {
            get { return _linearData; }
            set { _linearData = value; }
        }

        public MainWindow()
        {
            InitializeComponent();
            _linearData = new List<TestData>();
            InitializeData();
            this.DataContext = this;
        }

        private void InitializeData()
        {
            Random rnd = new Random();
            for (int i = 1; i < 600; i++)
            {
                _linearData.Add( new TestData
                {
                    Date = DateTime.Today.AddDays( i ),
                    Value = rnd.Next( -100, 100 )
                } );
            }
        }
    }
}